package com.da.dangan.service.impl;

import com.da.common.utils.DateUtils;
import com.da.dangan.domain.DaCzrkdj;
import com.da.dangan.mapper.DaCzrkdjMapper;
import com.da.dangan.service.IDaCzrkdjService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 常住人口登记Service业务层处理
 * 
 * @author hs
 * @date 2024-05-08
 */
@Service
public class DaCzrkdjServiceImpl implements IDaCzrkdjService 
{
    @Autowired
    private DaCzrkdjMapper daCzrkdjMapper;

    /**
     * 查询常住人口登记
     * 
     * @param id 常住人口登记主键
     * @return 常住人口登记
     */
    @Override
    public DaCzrkdj selectDaCzrkdjById(Long id)
    {
        return daCzrkdjMapper.selectDaCzrkdjById(id);
    }

    /**
     * 查询常住人口登记列表
     * 
     * @param daCzrkdj 常住人口登记
     * @return 常住人口登记
     */
    @Override
    public List<DaCzrkdj> selectDaCzrkdjList(DaCzrkdj daCzrkdj)
    {
        return daCzrkdjMapper.selectDaCzrkdjList(daCzrkdj);
    }

    /**
     * 新增常住人口登记
     * 
     * @param daCzrkdj 常住人口登记
     * @return 结果
     */
    @Override
    public int insertDaCzrkdj(DaCzrkdj daCzrkdj)
    {
        daCzrkdj.setCreateTime(DateUtils.getNowDate());
        return daCzrkdjMapper.insertDaCzrkdj(daCzrkdj);
    }

    /**
     * 修改常住人口登记
     * 
     * @param daCzrkdj 常住人口登记
     * @return 结果
     */
    @Override
    public int updateDaCzrkdj(DaCzrkdj daCzrkdj)
    {
        daCzrkdj.setUpdateTime(DateUtils.getNowDate());
        return daCzrkdjMapper.updateDaCzrkdj(daCzrkdj);
    }

    /**
     * 批量删除常住人口登记
     * 
     * @param ids 需要删除的常住人口登记主键
     * @return 结果
     */
    @Override
    public int deleteDaCzrkdjByIds(Long[] ids)
    {
        return daCzrkdjMapper.deleteDaCzrkdjByIds(ids);
    }

    /**
     * 删除常住人口登记信息
     * 
     * @param id 常住人口登记主键
     * @return 结果
     */
    @Override
    public int deleteDaCzrkdjById(Long id)
    {
        return daCzrkdjMapper.deleteDaCzrkdjById(id);
    }
}
